//ADHeader// #import <Foundation/Foundation.h>
//ADHeader// 
//ADHeader// /*
//ADHeader//     File:       Controller.m
//ADHeader// 
//ADHeader//     Contains:   Simple controller object for the test application.
//ADHeader// 
//ADHeader//     Written by: Quinn "The Eskimo!"
//ADHeader// 
//ADHeader//     Created:    Wed 08-Oct-1997
//ADHeader// 
//ADHeader//     Copyright:  (c)1997 by Apple Computer, Inc., all rights reserved.
//ADHeader// 
//ADHeader//     Change History (most recent first):
//ADHeader// 
//ADHeader//     You may incorporate this sample code into your applications without
//ADHeader//     restriction, though the sample code has been provided "AS IS" and the
//ADHeader//     responsibility for its operation is 100% yours.  However, what you are
//ADHeader//     not permitted to do is to redistribute the source as "DSC Sample Code"
//ADHeader//     after having made changes. If you're going to re-distribute the source,
//ADHeader//     we require that you make it clear in the source that the code was
//ADHeader//     descended from Apple Sample Code, but that you've made changes.
//ADHeader// */
//ADHeader// 
//ADHeader// 
//ADSeparator//
#import <AppKit/AppKit.h>
#import "ActiveDeveloperLib.h"

#import "Controller.h"

@implementation	 Controller : NSObject	// ###########################################
{
	id mainWindow;
}
- (void)awakeFromNib;					{  [mainWindow makeKeyAndOrderFront:self];  }
- (void)applicationDidFinishLaunching:(NSNotification *)notification;						
 {
 //NSApplication *theApplication = [notification object];

	if (ActiveDeveloper_connectToIDE()) 
		NSLog(@"  Application connected to ActiveDeveloper IDE ... ");
	else	
		NSLog(@"  Application didn't connect to ActiveDeveloper IDE ...");
 }	

- (BOOL)applicationShouldTerminate:(id)sender;												
 {
 	ActiveDeveloper_applicationShouldTerminate(sender);
	return YES;
 }
@end
