//ADHeader// #import <Foundation/Foundation.h>
//ADHeader// 
//ADHeader// /*
//ADHeader//     File:       Classroom.m
//ADHeader// 
//ADHeader//     Contains:   Source code for Classroom.
//ADHeader// 
//ADHeader//     Written by: Laura Rawson
//ADHeader// 
//ADHeader//     Created:    7/10/97
//ADHeader// 
//ADHeader//     Copyright:  (c)1997 by Apple Computer, Inc., all rights reserved.
//ADHeader// 
//ADHeader//     Change History (most recent first):
//ADHeader//      Version 1.0d5:  Fixed a potential bug in the set methods of Teacher and Classroom by
//ADHeader//                      changing the way the releasing and retaining of objects were being handled. 
//ADHeader//      Version 1.0d4:  Recompiled for Rhapsody on PPC.  Added missing dealloc methods.
//ADHeader//                      Renamed instance variables to use a more paralell naming convention.
//ADHeader//                      Added command key equivalents to Quit and Hide menu items. Changed the
//ADHeader//                      implementation of setTeachers and setStudents to work in a cleaner manner.
//ADHeader//      Version 1.0d3 : Changed name of nib file to SampleBrowser.nib
//ADHeader//      Version 1.0d2 : Added generateTestData to demonstrate a more realistic
//ADHeader//                      example of loading a browser. Also fixed a few minor user
//ADHeader//                      interface problems.
//ADHeader//      Version 1.0d1 : Initial version
//ADHeader// 
//ADHeader//     You may incorporate this sample code into your applications without
//ADHeader//     restriction, though the sample code has been provided "AS IS" and the
//ADHeader//     responsibility for its operation is 100% yours.  However, what you are
//ADHeader//     not permitted to do is to redistribute the source as "DSC Sample Code"
//ADHeader//     after having made changes. If you're going to re-distribute the source,
//ADHeader//     we require that you make it clear in the source that the code was
//ADHeader//     descended from Apple Sample Code, but that you've made changes.
//ADHeader// */
//ADHeader// 
//ADHeader// 
//ADSeparator//
 #import "Classroom.h"

@implementation	Classroom : NSObject	// #######
{
    id teacher;
    NSString *grade;
    NSMutableArray *teacherArray;
}
@end

//ADSeparator//
//ADHeader//  #import "Classroom+Accessors.h"
//ADHeader// 