//ADHeader// #import <Foundation/Foundation.h>
//ADHeader// 
//ADHeader// // Max absolute x and y velocities of the ball, in base coordinates per msec.
//ADHeader// 
//ADHeader// //
//ADHeader// #define MAXXV     ((level > 6) ? 0.3 : 0.2) 
//ADHeader// #define MAXYV     (0.4)
//ADHeader// 
//ADHeader// // Maximum amount of time that is allowed to pass between two calls to the
//ADHeader// // step method. If the time is greater than MAXTIMEDIFFERENCE, then this
//ADHeader// // value is used instead. MAXTIMEDIFFERENCE should be no greater
//ADHeader// // than the time it takes for the ball to go the height of a tile
//ADHeader// // or the height of the ball + height of paddle. The units
//ADHeader// // are in milliseconds.
//ADHeader// 
//ADHeader// #define MAXTIMEDIFFERENCE (TILEHEIGHT * 0.8 / MAXYV)
//ADHeader// #define MINTIMEDIFFERENCE 1
//ADHeader// 
//ADHeader// // Max revolution speed of the ball; this is the maximum
//ADHeader// // number of radians it will turn per millisecond when rotating...
//ADHeader// 
//ADHeader// #define APPROX_PI (3.14)
//ADHeader// #define MAXREVOLUTIONSPEED (APPROX_PI / 250.0)	// Max is 2 revs/sec
//ADHeader// 
//ADHeader// // The following values are the default sizes for the various pieces. 
//ADHeader// 
//ADHeader// #define RADIUS		8.0 			// Ball radius 
//ADHeader// #define PADDLEWIDTH	(TILEWIDTH * 1.8)	// Paddle width
//ADHeader// #define PADDLEHEIGHT	(TILEHEIGHT * 0.6)	// Paddle height
//ADHeader// #define BALLWIDTH	(RADIUS * 2.0)		// Ball width
//ADHeader// #define BALLHEIGHT	(RADIUS * 2.0)		// Ball height
//ADHeader// 
//ADHeader// // SHADOWOFFSET defines the amount the shadow is offset from the piece. 
//ADHeader// #define SHADOWOFFSET 3.0
//ADHeader// 
//ADHeader// // Number of lives per game
//ADHeader// #define LIVES     5		
//ADHeader// 
//ADHeader// // Number of loops through the game after all tiles die
//ADHeader// #define STOPGAMEAT (-10)
//ADHeader// 
//ADHeader// // Bonus at the end of a level
//ADHeader// #define LEVELBONUS 50
//ADHeader// 
//ADHeader// // Starting locations...			
//ADHeader// #define PADDLEX ((gameSize.width - paddleSize.width) / 2.0)
//ADHeader// #define PADDLEY 1.0
//ADHeader// #define BALLX ((gameSize.width - ballSize.width) / 2.0)
//ADHeader// #define BALLY (paddleY + paddleSize.height)
//ADHeader// 
//ADHeader// // Accelaration & score values of the different tile types.
//ADHeader// static const float tileAccs[NUMTILETYPES] = {1.0, 1.3};
//ADHeader// static const int tileScores[NUMTILETYPES] = {5, 25};
//ADHeader// 
//ADHeader// #define NOTILE -1 
//ADHeader// 
//ADHeader// #define RANDINT(n) (rand() % ((n)+1))		// Random integer 0..n
//ADHeader// #define ONEIN(n)   ((rand() % (n)) == 0)	// TRUE one in n times 
//ADHeader// #define INITRAND   srand(time(0))		// Randomizer
//ADHeader// 
//ADHeader// #define gameSize  [self bounds].size
//ADHeader// 
//ADHeader// // Restrict a value to the range -max .. max.
//ADHeader// float restrictValue(float val, float max);
//ADHeader// 
//ADHeader// 
//ADHeader// 
//ADHeader// 