/*
 * Main.m
 *
 * You may freely copy, distribute and reuse the code in this example.
 * Apple disclaims any warranty of any kind, expressed or implied, as to
 * its fitness for any particular use.
 *
 * Written by WebObjects Development Team
 *
 * This is the implementation file for the object that controls the Main
 * page.
 */

#import "Main.h"
#import "Hello.h"

@implementation Main

- (void)dealloc {
    [nameString release];
    [super dealloc];
}

- (WOComponent *)sayHello {
    Hello *nextPage;

    nextPage = (Hello *)[self pageWithName:@"Hello"];  
    // Here we are using the EOKeyValueCodingProtocol to set 'nameString' in the Hello page
    // The alternative would be to implement the accessor method 'setNameString:'
    [nextPage takeValue:nameString forKey:@"nameString"]; 
    return nextPage;
}

@end

