
 // ----------------------------------------------------------------- //
 // Don't edit - this file is a Generated output from ActiveDeveloper //
 // ---- Available from <http://www.InterActive-Technology.com> ----- //
 // ----------------------------------------------------------------- //

#line 1
#import <Foundation/Foundation.h>
#import <AppKit/AppKit.h>

/*
    File:       SillyBalls.m

    Contains:   View class for drawing lots of silly balls.

    Written by: Quinn "The Eskimo!"

    Created:    Thu 05-Jun-1997

    Copyright:  (c)1997 by Apple Computer, Inc., all rights reserved.

    Change History (most recent first):

    You may incorporate this sample code into your applications without
    restriction, though the sample code has been provided "AS IS" and the
    responsibility for its operation is 100% yours.  However, what you are
    not permitted to do is to redistribute the source as "DSC Sample Code"
    after having made changes. If you're going to re-distribute the source,
    we require that you make it clear in the source that the code was
    descended from Apple Sample Code, but that you've made changes.
*/

@interface	SillyBallView  :  NSView	// #####################################
{
    // The following are connected up with Interface Builder.
    
    NSMenuItem *	startStopMenuItem;	// Start/Stop menu item
    NSSlider *		sliderView;			// ball rate slider
    NSTextField *	textView;			// ball rate text view

    // The followintg are set up in our initWithFrame:
    
    BOOL 		running;				// whether we're currently drawing
    NSString *		textString;			// text we're drawing
    NSSize 		textSize;				// size of the above, cached so we don't recalc it each time
    NSTimer 		*repeatTimer;			// timer that controls how often we draw a ball
    NSTimeInterval repeatPeriod;		// most recent value of the ball rate slider
}
@end

#import "SillyBallView+Methods.h"
