//ADHeader// #import <Foundation/Foundation.h>
//ADHeader// #import <AppKit/AppKit.h>
//ADHeader// 
//ADHeader// /*
//ADHeader//     File:       SillyBalls.m
//ADHeader// 
//ADHeader//     Contains:   View class for drawing lots of silly balls.
//ADHeader// 
//ADHeader//     Written by: Quinn "The Eskimo!"
//ADHeader// 
//ADHeader//     Created:    Thu 05-Jun-1997
//ADHeader// 
//ADHeader//     Copyright:  (c)1997 by Apple Computer, Inc., all rights reserved.
//ADHeader// 
//ADHeader//     Change History (most recent first):
//ADHeader// 
//ADHeader//     You may incorporate this sample code into your applications without
//ADHeader//     restriction, though the sample code has been provided "AS IS" and the
//ADHeader//     responsibility for its operation is 100% yours.  However, what you are
//ADHeader//     not permitted to do is to redistribute the source as "DSC Sample Code"
//ADHeader//     after having made changes. If you're going to re-distribute the source,
//ADHeader//     we require that you make it clear in the source that the code was
//ADHeader//     descended from Apple Sample Code, but that you've made changes.
//ADHeader// */
//ADHeader// 
//ADHeader// 
//ADSeparator//
#import "SillyBallView.h"

@implementation	SillyBallView  :  NSView	// #####################################
{
    // The following are connected up with Interface Builder.
    
    NSMenuItem *	startStopMenuItem;	// Start/Stop menu item
    NSSlider *		sliderView;			// ball rate slider
    NSTextField *	textView;			// ball rate text view

    // The followintg are set up in our initWithFrame:
    
    BOOL 		running;				// whether we're currently drawing
    NSString *		textString;			// text we're drawing
    NSSize 		textSize;				// size of the above, cached so we don't recalc it each time
    NSTimer 		*repeatTimer;			// timer that controls how often we draw a ball
    NSTimeInterval repeatPeriod;		// most recent value of the ball rate slider
}
@end

//ADSeparator//
//ADHeader// #import "SillyBallView+Methods.h"
//ADHeader// 