
 // ----------------------------------------------------------------- //
 // Don't edit - this file is a Generated output from ActiveDeveloper //
 // ---- Available from <http://www.InterActive-Technology.com> ----- //
 // ----------------------------------------------------------------- //

#line 1
#import <Foundation/Foundation.h>

// Max absolute x and y velocities of the ball, in base coordinates per msec.

//
#define MAXXV     ((level > 6) ? 0.3 : 0.2) 
#define MAXYV     (0.4)

// Maximum amount of time that is allowed to pass between two calls to the
// step method. If the time is greater than MAXTIMEDIFFERENCE, then this
// value is used instead. MAXTIMEDIFFERENCE should be no greater
// than the time it takes for the ball to go the height of a tile
// or the height of the ball + height of paddle. The units
// are in milliseconds.

#define MAXTIMEDIFFERENCE (TILEHEIGHT * 0.8 / MAXYV)
#define MINTIMEDIFFERENCE 1

// Max revolution speed of the ball; this is the maximum
// number of radians it will turn per millisecond when rotating...

#define APPROX_PI (3.14)
#define MAXREVOLUTIONSPEED (APPROX_PI / 250.0)	// Max is 2 revs/sec

// The following values are the default sizes for the various pieces. 

#define RADIUS		8.0 			// Ball radius 
#define PADDLEWIDTH	(TILEWIDTH * 1.8)	// Paddle width
#define PADDLEHEIGHT	(TILEHEIGHT * 0.6)	// Paddle height
#define BALLWIDTH	(RADIUS * 2.0)		// Ball width
#define BALLHEIGHT	(RADIUS * 2.0)		// Ball height

// SHADOWOFFSET defines the amount the shadow is offset from the piece. 
#define SHADOWOFFSET 3.0

// Number of lives per game
#define LIVES     5		

// Number of loops through the game after all tiles die
#define STOPGAMEAT (-10)

// Bonus at the end of a level
#define LEVELBONUS 50

// Starting locations...			
#define PADDLEX ((gameSize.width - paddleSize.width) / 2.0)
#define PADDLEY 1.0
#define BALLX ((gameSize.width - ballSize.width) / 2.0)
#define BALLY (paddleY + paddleSize.height)

// Accelaration & score values of the different tile types.
static const float tileAccs[NUMTILETYPES] = {1.0, 1.3};
static const int tileScores[NUMTILETYPES] = {5, 25};

#define NOTILE -1 

#define RANDINT(n) (rand() % ((n)+1))		// Random integer 0..n
#define ONEIN(n)   ((rand() % (n)) == 0)	// TRUE one in n times 
#define INITRAND   srand(time(0))		// Randomizer

#define gameSize  [self bounds].size

// Restrict a value to the range -max .. max.
float restrictValue(float val, float max);




