//ADHeader// #import <Foundation/Foundation.h>
//ADHeader// #import <AppKit/AppKit.h>
//ADHeader// 
//ADHeader// enum {kNoOperator, kAddOperator, kSubtractOperator, kMultiplyOperator, kDivideOperator, kSpaceOperation, kSwapOperation};
//ADHeader// 
//ADHeader// /*
//ADHeader//     File:       CalcController.m
//ADHeader// 
//ADHeader//     Contains:   xxx
//ADHeader// 
//ADHeader//     Written by: Andy Wildenberg
//ADHeader// 
//ADHeader//     Created:    Wed 09-Jul-1997
//ADHeader// 
//ADHeader//     Copyright:  (c)1997 by Apple Computer, Inc., all rights reserved.
//ADHeader// 
//ADHeader//     Change History (most recent first):
//ADHeader// 
//ADHeader//         9 July 97 -- first version of application
//ADHeader//  
//ADHeader//     You may incorporate this sample code into your applications without
//ADHeader//     restriction, though the sample code has been provided "AS IS" and the
//ADHeader//     responsibility for its operation is 100% yours.  However, what you are
//ADHeader//     not permitted to do is to redistribute the source as "DSC Sample Code"
//ADHeader//     after having made changes. If you're going to re-distribute the source,
//ADHeader//     we require that you make it clear in the source that the code was
//ADHeader//     descended from Apple Sample Code, but that you've made changes.
//ADHeader// */
//ADHeader// 
//ADSeparator//
#import "CalcController.h"

@implementation	CalcController : NSObject	// #######
{
    id 				displayView;
    BOOL 			enteringNumber;
    BOOL			 usedDecimalPoint;
    BOOL			 polish;
    NSDecimalNumber* 	displayedNumber;

    NSDecimalNumber *	upperStackedNumber;
    NSDecimalNumber *	middleStackedNumber;
    NSDecimalNumber *	lowerStackedNumber;

    NSDecimalNumber* 	enteredNumber;
    SEL 			nextOperation;
    int 				lastOperation;
}
@end

//ADSeparator//
//ADHeader// #import "CalcController+Methods.h"
//ADHeader// 